import { ErrorResponser } from "@lambda/types/errorResponser.type";
import { Handler } from "@lambda/types/handler.type";
import { Request } from "@lambda/types/request.type";
import { Middleware } from "@lambda/types/middleware.type";
import { Responser } from "@lambda/types/responser.type";
import { Wrapper } from "@lambda/types/wrapper.type";
import { WrapperProperties } from "@lambda/types/wrapperProperties.type";
import { Next } from "@lambda/types/next.type";
/**
 * Wraps a function that takes request (event, context)
 * and response (response template function) as argument
 * @param handlerFn customized handler function
 * @return Promise<Wrapper>
 */
declare function wrapper(handlerFn: Handler): Wrapper;
export { wrapper, Responser, Request, Handler, Wrapper, WrapperProperties, ErrorResponser, Next, Middleware };
